GrailsEclipseConsole (Grails 3.3.3)
Date: 2018-03-07

Package: grails.build.logging

## [Java] Class GrailsEclipseConsole

- grails.build.logging.GrailsEclipseConsole

- This class is meant to keep changes made in support of Eclipse separate from the standard GrailsConsole implementation.

  It is activated by setting system property "grails.console.class" to the fully qualified name of this class.

  Having the changes in a class triggered by system property also leaves open the option to have Eclipse provide a different version of the class at runtime, to allow for further customisation to support not yet anticipated needs.

  Authors:
    Kris De Volder
  Since:
    2.0.0.M2

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GrailsConsole` | `CATEGORY_SEPARATOR, ENABLE_INTERACTIVE, ENABLE_TERMINAL, ERROR, HISTORYFILE, LINE_SEPARATOR, PROMPT, SECURE_MASK_CHAR, SPACE, STACKTRACE_FILTERED_MESSAGE, STACKTRACE_MESSAGE, WARNING`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsEclipseConsole ()` Create a GrailsConsole that has some customizations to work better with STS.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.io.OutputStream` | `ansiWrap(java.io.OutputStream out)`
    `` | `protected jline.Terminal` | `createTerminal()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GrailsConsole` | `addShutdownHook, addStatus, ansiWrap, append, beforeShutdown, bindSystemOutAndErr, cleanlyExit, createConsoleReader, createInstance, createTerminal, echoStatus, error, error, error, error, flush, getCategory, getDefaultInputMask, getErr, getInput, getInstance, getLastMessage, getOut, getReader, getTerminal, indicateProgress, indicateProgress, indicateProgress, indicateProgressPercentage, info, initialize, isAnsiEnabled, isInteractiveEnabled, isStacktrace, isVerbose, isWindows, log, persistHistory, prepareHistory, redirectSystemOutAndErr, reinitialize, removeInstance, removeShutdownHook, resetCompleters, restoreOriginalSystemOutAndErr, restoreTerminal, secureUserInput, setAnsiEnabled, setDefaultInputMask, setErr, setInstance, setLastMessage, setOut, setStacktrace, setVerbose, showPrompt, updateStatus, userInput, userInput, userInput, verbose, warn, warning`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public GrailsEclipseConsole()

      Create a GrailsConsole that has some customizations to work better with STS. Note that this console implicitly captures and redirects System.out, System.err and System.in in the super class. So extreme care must be taken to ensure these streams are setup correctly before creating an instance.

  - ### Method Detail

    - #### @java.lang.Override protected java.io.OutputStream ansiWrap(java.io.OutputStream out)

    - #### @java.lang.Override protected jline.Terminal createTerminal()